Download it now!
Bug 68552 - [FILEOPEN] XML filter: Excel 2003 XML file don't open
Summary: [FILEOPEN] XML filter: Excel 2003 XML file don't open
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other Windows (All)
: high critical
Assignee: Not Assigned
URL:
Whiteboard: target:4.2.0
Keywords: regression
Depends on:
Blocks: MSO-XML2003
  Show dependency treegraph
 
Reported: 2013-08-26 03:08 UTC by ape
Modified: 2017-11-16 00:04 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
7z archive with the example XML file (2.15 KB, application/7z)
2013-08-26 03:08 UTC, ape
Details
file into zip-archive (33.07 KB, application/zip)
2013-09-05 09:37 UTC, ape
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ape 2013-08-26 03:08:14 UTC
Created attachment 84627 [details]
7z archive with the example XML file

OS: Windows XP sp3; Windows XP 64-bit sp2
LibreOfficeDev 4.2.0.0: 
1. Version: 4.2.0.0.alpha0+
Build ID: e8c0708ee9d0c01cbe0bdcb38ac14e34bdceef32;
TinderBox: Win-x86@6-debug, Branch:master, Time: 2013-08-21_20:26:24
2. Version: 4.2.0.0.alpha0+
Build ID: e926621fb00f31471b0037d7955b6a3d7f908dc0
TinderBox: Win-x86@6-debug, Branch:master, Time: 2013-08-24_03:41:23
--
XML file (see attachment: a file in the archive) converted from a spreadsheet XLS format using Excel 2007 sp3. This file opens easily LibO Calc 4.1.2.0.0 and 4.2.0.0 early version. But LibO Calc 4.2.0.0+ doesn't open this file after 20th August. LibreOfficeDev-4.2.0.0 reports: "General Error. General input/output error".
--
This is a regression to:
1. LibreOfficeDev 4.2.0.0.alpha0+
Build ID: 73c02c20b19702dbe662fe0d80601049f015d8ac
TinderBox: Win-x86@6-debug, Branch:master, Time: 2013-08-13_21:26:14
2. LibreOfficeDev 4.1.2.0.0+
Build ID: 240a41f522f8d605daa3de4b9f8d026a13ab758
TinderBox: Win-x86@6-debug, Branch:libreoffice-4-1, Time: 2013-08-24_07:36:11
Comment 1 Tor Lillqvist 2013-09-05 09:25:36 UTC
Could you please just attach the file as such with any silly 7z compression or archiving.
Comment 2 Tor Lillqvist 2013-09-05 09:25:52 UTC
I mean *without*
Comment 3 Tor Lillqvist 2013-09-05 09:29:55 UTC
OK, can reproduce the problem with an Excel 2003 XML document saved with LibreOfficde 3.6, so no need to (re-)attach a sample document. Thanks for the bug report.
Comment 4 ape 2013-09-05 09:37:47 UTC
Created attachment 85234 [details]
file into zip-archive

@Tor:
 Sorry, the file is in the ZIP archive.
Comment 5 Commit Notification 2013-09-05 10:44:37 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ac4e19f9085dbd0103c7336a5318aa1e55b3e3e0

fdo#68552: Don't (attempt to) do run-time expansion of build-time parameters



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-09-05 16:30:01 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=791a8b96f754798192875da287c84f8cfa4e533e

Revert "fdo#68552: Don't (attempt to) do run-time expansion of build-time parameters"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-09-05 16:30:20 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=267ddb1c291f391694f567874c9fe68fb0492931

fdo#68552: try different build-time replacement



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Markus Mohrhard 2013-09-07 07:07:16 UTC
Let us mark it as fixed. I'll activate the test case to prevent this error in the future soon.